Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class HL7Version

    java.lang.Object
      com.stc.hl7.parser.HL7Version

    public class HL7Version

extends java.lang.Object

Holds information on supported HL7 versions

Version:
  $Revision: 1.8 $
Author:
  Alexander Fung

Field Summary
`static java.lang.String` | `VER2_1`
`static java.lang.String` | `VER2_2`
`static java.lang.String` | `VER2_3`
`static java.lang.String` | `VER2_3_1`
`static java.lang.String` | `VER2_4`
`static java.lang.String` | `VER2_5`
`static java.lang.String` | `VER2_5_1`

Constructor Summary
`HL7Version(java.lang.String hl7_version)` Constructor for HL7Version

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one
`long` | `getVersionID()` Returns the Version ID for the HL7 Version per the HL7 Access Database
`java.lang.String` | `noDot()` Returns the version without the dot separator
`java.lang.String` | `toString()` Returns hl7 version number

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VER2_5

    public static final java.lang.String VER2_5

### VER2_4

    public static final java.lang.String VER2_4

### VER2_3_1

    public static final java.lang.String VER2_3_1

### VER2_3

    public static final java.lang.String VER2_3

### VER2_2

    public static final java.lang.String VER2_2

### VER2_1

    public static final java.lang.String VER2_1

### VER2_5_1

    public static final java.lang.String VER2_5_1

Constructor Detail

### HL7Version

    public HL7Version(java.lang.String hl7_version)
               throws java.lang.Exception

  Constructor for HL7Version

  Parameters:
    `hl7_version` - hl7 version number
  Throws:
    `java.lang.Exception`

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    true if this object is the same as the obj argument; false otherwise.

### toString

    public java.lang.String toString()

  Returns hl7 version number

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    hl7 version number

### noDot

    public java.lang.String noDot()

  Returns the version without the dot separator

  Returns:
    String

### getVersionID

    public long getVersionID()

  Returns the Version ID for the HL7 Version per the HL7 Access Database

  Returns:
    Version ID

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD